function SetupChooseRegion()
	
	if (GetEntityByName("GameLogic") != nil) then
		//they are returning from a hunt
		ShowMessage("Hunt failed", "After blowing thousands of dollars, you head back to the aircraft depressed.\n\nYou kick yourself for choosing this location.  Of course nessie or bigfoot couldn't be here now!\n\n", false); 
	
	end
	
	GetMapManager:UnloadMapByName("Intro");
	GetMapManager:SetActiveMapByName("Choose Region");
GetMapManager:UnloadMapByName("Game");
	
	CreateEntity(GetMapManager:GetActiveMap(), Vector2(0,0), "choose_region_logic.lua"); 	
	

end